local PANEL = {}

PANEL.bgcolor = Color( 170, 170, 170, 255 )
PANEL.fgcolor = Color( 100, 100, 100, 255 )
PANEL.rounding = 4
PANEL.margin = 4


--[[
	Function: URoundMenu.Paint

	Paints our inner and outer box
]]
function PANEL:Paint()
	-- Outer box
	draw.RoundedBox( self.rounding, 0, 0, self:GetWide(), self:GetTall(), self.bgcolor )

	-- Inner box
	draw.RoundedBox( self.rounding, self.margin, self.margin, self:GetWide() - self.margin*2, self:GetTall() - self.margin*2, self.fgcolor )
end


--[[
	Function: URoundMenu.SetUp

	Sets up our menu. All the parameters below have defaults!

	Parameters:

		bgcolor - Background color
		fgcolor - Foreground color
		rounding - Rounding for corners
		margin - Margin for outter/inner box.
]]
function PANEL:SetUp( bgcolor, fgcolor, rounding, margin )
	self.bgcolor = bgcolor or self.bgcolor
	self.fgcolor = fgcolor or self.fgcolor
	self.rounding = rounding or self.rounding
	self.margin = margin or self.margin
end


vgui.Register( "URoundMenu", PANEL, "Panel" )